package com.brilliance.isc.common.api;

import com.brilliance.isc.common.api.oit.OitApiService;
import com.brilliance.isc.common.oit.bussiness.BussinessOit;
import com.brilliance.isc.common.oit.service.OitService;
import com.brilliance.isc.common.oit.vo.NoticeVo;
import com.brilliance.isc.constant.LimCons;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
public class OitApiServiceImpl implements OitApiService {
    @Autowired
    private OitService oitService;
    @Autowired
    private BussinessOit bussinessOit;

    @Override
    public void registOit(String objtyp, String objinr,String path) {
        NoticeVo noticeVo = new NoticeVo();
        noticeVo.setObjtyp(objtyp);
        noticeVo.setObjinr(objinr);
        noticeVo.setPath(path);
        List notices = new ArrayList();
        notices.add(noticeVo);
        oitService.queryOitMessage(notices, LimCons.OIT_TYPE_TRANS);

    }

    @Override
    public void registOit(NoticeVo noticeVo) {
        bussinessOit.entyOit(noticeVo);
    }
}
